<template>
  <div class="section container">
    <h2 class="section__titulo my-5">Entradas del blog</h2>
    <section class="resultados" v-if="articles">
      <brief v-if="article.category_id = 1" v-for="article in articles" v-bind:key="article.id" class="brief my-4" :titulo="article.titulo" :id="article.id" :url="article.imagen" :resumen="article.resumen" :fecha="article.created_at"></brief>
    </section>
    <nav aria-label="Page navigation example">
      <ul class="pagination justify-content-center">
        <li @click="pag -= 1; updateArticles()" v-if="pag != 1" class="page-item">
          <a class="page-link" href="#" aria-label="Previous">
            <span aria-hidden="true">&laquo;</span>
            <span class="sr-only">Previous</span>
          </a>
        </li>
        <li @click="pag += 1; updateArticles()" v-if="articles" class="page-item">
          <a class="page-link" href="#" aria-label="Next">
            <span aria-hidden="true">&raquo;</span>
            <span class="sr-only">Next</span>
          </a>
        </li>
      </ul>
    </nav>
  </div>
</template>

<script>
import Vue from 'vue'
import Brief from '@/components/Brief'

export default {
  name: 'Section',
  components: {
    'brief': Brief
  },
  data () {
    return {
      articles: undefined,
      pag: 1
    }
  },
  mounted () {
    this.updateArticles()
  },
  methods: {
    updateArticles: function () {
      Vue.http.get(`${process.env.URL_API}/api/v1/article/category/${this.$route.params.id}/pag/${this.pag}`).then(response => {
        this.articles = response.body
      }, response => {
      // error callback
      })
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style>
</style>
